summaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authorBen Sima <ben@bsima.me>2022-07-29 01:56:19 -0400
committerBen Sima <ben@bsima.me>2022-07-29 01:56:52 -0400
commit7569c08ffc4de1fa5433e04aa15a5d25161826e1 (patch)
tree061c8ed3bfbb675e8df5975dc537b56e16d97daf /install.sh
parent0cf1950d364fced5e63c56add1ee15afc4eddea1 (diff)
install on cloud
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/install.sh b/install.sh
index 54b3c6c..88a7b01 100755
--- a/install.sh
+++ b/install.sh
@@ -14,9 +14,9 @@ else
NIXFILE="$(pwd)/$1"
#
# start from scratch
- rm "$HOMEFILE"
+ rm "$HOMEFILE" || true
ln -s "$NIXFILE" "$HOMEFILE"
- rm "$NIXDIR/config.nix"
+ rm "$NIXDIR/config.nix" || true
ln -s "$(pwd)/lib/config.nix" "$NIXDIR/config.nix"
#
# the notmuch config location is by default ~/.notmuch-config, but home-manager